<?php
namespace Controller;

use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Service\InitService;
use Zeedhi\DevOps\Util\Utilities;

class InitController {
    private $initService;

    public function __construct(InitService $initService) {
        $this->initService = $initService;
    }

    public function startSession(Request\Filter $request, Response $response) {
        try {
            $sessionResponse = $this->initService->initSession();
            $response->addDataSet(new DataSet('sessionResponse', $sessionResponse));
        } catch(\Exception $e) {
            $response->addMessage(new Response\Message($e->getMessage(), Response\Message::TYPE_ERROR));
            throw $e;
        }
    }
}